Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.saxfilter
Class RemoveEmptyAttributes

    java.lang.Object
      org.xml.sax.helpers.XMLFilterImpl
          com.servingxml.components.saxfilter.RemoveEmptyAttributes

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.XMLFilter, org.xml.sax.XMLReader

    public class RemoveEmptyAttributes

extends org.xml.sax.helpers.XMLFilterImpl
implements org.xml.sax.XMLFilter

Constructor Summary
`RemoveEmptyAttributes(NameTest elementTest, NameTest exceptElementTest, NameTest attributeTest, NameTest exceptAttributeTest)`

Method Summary
`void` | `startElement(java.lang.String namespaceUri, java.lang.String localName, java.lang.String qname, org.xml.sax.Attributes atts)`

Methods inherited from class org.xml.sax.helpers.XMLFilterImpl
`characters, endDocument, endElement, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, parse, processingInstruction, resolveEntity, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, startDocument, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.XMLFilter
`getParent, setParent`

Methods inherited from interface org.xml.sax.XMLReader
`getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getProperty, parse, parse, setContentHandler, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty`

Constructor Detail

### RemoveEmptyAttributes

    public RemoveEmptyAttributes(NameTest elementTest,
                                 NameTest exceptElementTest,
                                 NameTest attributeTest,
                                 NameTest exceptAttributeTest)

Method Detail

### startElement

    public void startElement(java.lang.String namespaceUri,
                             java.lang.String localName,
                             java.lang.String qname,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `org.xml.sax.helpers.XMLFilterImpl`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD